/**
*U-Anywhere App
* Implementing UAnywhere App
*/
var UAnywhereApp = UAnywhereApp || {};  //Define UAnywhere App namespace.
/**
*Constructor UNAS App
*/
UAnywhereApp.App = function () {
    this.id = 'U-Anywhere';
    this.name = 'U-Anywhere';
    this.version = '6.0.24';
    this.active = false;
    this.menuIcon = '/apps/uanywhere/images/logo.png?v=6.0.24&';
    this.shortcutIcon = '/apps/uanywhere/images/logo.png?v=6.0.24&';
    this.entryUrl = '/apps/uanywhere/uanywhere_main.html?v=6.0.24&';
    //this.entryHelpUrl = '/apps/uanywhere/uanywhere_help.html?v=6.0.24&';
    var self = this;
    this.UAnywhereAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-Anywhere')){
    		return false;
    	}
    	//load app setting
    	self.window=new MUI.Window({
            id: 'UAnywhereAppWindow',
            title: UNAS._('U-Anywhere'),
            icon: '/apps/uanywhere/images/logo_small.png?v=6.0.24&',
            loadMethod: 'xhr',
            width: 800,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [550, 1500] },
            contentURL: '/apps/uanywhere/uanywhere_main.html?v=6.0.24&',
            require: {  css: ['/apps/uanywhere/css/uanywhere.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("U-Anywhere",'UAnywhereAppWindow')}
     	});
    };
    this.UAnywhereUninstall = function (){
    	UNAS.RemoveDesktopShortcut('U-Anywhere');
    	UNAS.RemoveMenu('U-Anywhere');
        UNAS.RemoveAppFromGroups('U-Anywhere', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('U-Anywhere', 'Help');
    	UNAS.RemoveAppFromApps('U-Anywhere');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-Anywhere', '', this.UAnywhereAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-Anywhere', this.UAnywhereAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Network", "Location" : 0, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-Anywhere', UNAS._('U-Anywhere')); //translate menu
        UNAS.SetShortcutTitle('U-Anywhere', UNAS._('U-Anywhere'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('UAnywhereAppWindow', UNAS._('U-Anywhere'));
        }
    };
    UNAS.LoadTranslation('/apps/uanywhere/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UAnywhereAppWindow, this.UAnywhereUninstall);
};

new UAnywhereApp.App();
